<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: Inter-Processor Communication (IPC) APIs</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>Inter-Processor Communication (IPC) APIs<br/>
<small>
[<a class="el" href="group__group__vx__platform.html">2: TIOVX Platform Modules</a>]</small>
</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__ipc.html#gaa16af65b5fb1e1a39a41f2d75285d185">tivxIpcSendMsg</a> (<a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> cpu_id, uint32_t payload)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Send payload to cpu_id via IPC.  <a href="#gaa16af65b5fb1e1a39a41f2d75285d185"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__ipc.html#ga55c17f2993549c51e9f23f276963fccf">tivxIpcRegisterHandler</a> (<a class="el" href="group__group__tivx__ipc.html#gacc3aafc4391374132cd010e43c48fa14">tivx_ipc_handler_f</a> ipc_handler_func)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Register callback to call when IPC message is received.  <a href="#ga55c17f2993549c51e9f23f276963fccf"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__ipc.html#ga5cc0504664e4120dda402c88dcb380a5">tivxIpcInit</a> (void)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Init IPC module.  <a href="#ga5cc0504664e4120dda402c88dcb380a5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__ipc.html#gae61932f93d5b297d8d3023053c4de89e">tivxIpcDeInit</a> (void)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">DeInit IPC module.  <a href="#gae61932f93d5b297d8d3023053c4de89e"></a><br/></td></tr>
<tr><td colspan="2"><h2>Typedefs</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef void(*&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__ipc.html#gacc3aafc4391374132cd010e43c48fa14">tivx_ipc_handler_f</a> )(uint32_t payload)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Callback definition of handler for IPC message's.  <a href="#gacc3aafc4391374132cd010e43c48fa14"></a><br/></td></tr>
</table>
<hr/><h2>Typedef Documentation</h2>
<a class="anchor" id="gacc3aafc4391374132cd010e43c48fa14"></a><!-- doxytag: member="tivx_ipc.h::tivx_ipc_handler_f" ref="gacc3aafc4391374132cd010e43c48fa14" args=")(uint32_t payload)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef void(* <a class="el" href="group__group__tivx__ipc.html#gacc3aafc4391374132cd010e43c48fa14">tivx_ipc_handler_f</a>)(uint32_t payload)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Callback definition of handler for IPC message's. </p>

</div>
</div>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="gaa16af65b5fb1e1a39a41f2d75285d185"></a><!-- doxytag: member="tivx_ipc.h::tivxIpcSendMsg" ref="gaa16af65b5fb1e1a39a41f2d75285d185" args="(vx_enum cpu_id, uint32_t payload)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a> tivxIpcSendMsg </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a>&nbsp;</td>
          <td class="paramname"> <em>cpu_id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&nbsp;</td>
          <td class="paramname"> <em>payload</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Send payload to cpu_id via IPC. </p>

</div>
</div>
<a class="anchor" id="ga55c17f2993549c51e9f23f276963fccf"></a><!-- doxytag: member="tivx_ipc.h::tivxIpcRegisterHandler" ref="ga55c17f2993549c51e9f23f276963fccf" args="(tivx_ipc_handler_f ipc_handler_func)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tivxIpcRegisterHandler </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__group__tivx__ipc.html#gacc3aafc4391374132cd010e43c48fa14">tivx_ipc_handler_f</a>&nbsp;</td>
          <td class="paramname"> <em>ipc_handler_func</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Register callback to call when IPC message is received. </p>

</div>
</div>
<a class="anchor" id="ga5cc0504664e4120dda402c88dcb380a5"></a><!-- doxytag: member="tivx_ipc.h::tivxIpcInit" ref="ga5cc0504664e4120dda402c88dcb380a5" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tivxIpcInit </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Init IPC module. </p>

</div>
</div>
<a class="anchor" id="gae61932f93d5b297d8d3023053c4de89e"></a><!-- doxytag: member="tivx_ipc.h::tivxIpcDeInit" ref="gae61932f93d5b297d8d3023053c4de89e" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tivxIpcDeInit </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>DeInit IPC module. </p>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
